\begin{center}
\section{Introduction}
\end{center}

The quarknet unpacker is a small tool which processes the information output by the Fermilab Quarknet DAQ \cite{quarknet}. As described in their manual, the quarknet DAQ outputs pulse data during data-taking. The pulse information returned represents the edges of the pulses (when the signal overcomes or drops below a certain threshold). These edges correspond to any of the 4 channels available. By pairing edges corresponding to rising edge and falling edge for each channel we are able to reconstruct the pulses. This information is then stored alongside other metrics inside a .root (CERN ROOT File) file (we shall refer to the .root files as root files from now on). This is done in order to ease the various studies in which the pulse data is needed by "pre-processing" the data rather than piping the data and having to unpack the information for every single study.
\linebreak

The root files are studied in order to obtain the rate, pulse duration (a.k.a Time over Threshold), time of flight and the muon's mean lifetime. Rate is simply defined as the amount of pulses received in a 1 second interval. The pulse duration is the difference in time between the rising edge and the falling edge. Time of flight is defined as the time it takes the muon to reach another scintillator. The mean lifetime is obtained by fitting an exponential function over a 1D-Distribution of all the decay times measured. 